<component-section>
  <div slot="title">Inleiding</div>
  <p>Welkom bij de deeltijdmodule ASD! 🙂</p>
  <p>ASD bestaat uit de volgende courses:</p>
  <ul>
    <li>
      <p>
        <a href="ADP/">Algoritmes, datastructuren en programmeertalen (ADP)</a>
      </p>
    </li>
    <li>
      <p><a href="SKA/">Softwarekwaliteit- en architectuur (SKA)</a></p>
    </li>
    <li>
      <p><a href="OP/">Onderzoek naar performance (OP)</a></p>
    </li>
  </ul>
  <p>
    Een officiële beschrijving van deze module, de courses erin en bijbehorende
    <strong>toetsen</strong> vind je op iSAS. Er is geen aftrap. De
    <strong>voorgeschreven bronnen en hulpmiddelen</strong> die je eventueel nog moet kopen vind je ook op iSAS.
  </p>
  <component-section>
    <div slot="title">Moduleteam</div>
    <p>
      De coördinator van de module ASD en de courses is
      <a href="https://eur.delve.office.com/?u=e765a925-c1f8-45f4-ad80-368635c69808&v=work">Sander Maijers</a>. Je
      docent voor ADP is Sander. Je docent voor SKA is
      <a href="https://eur.delve.office.com/?u=86b7a33b-2b1c-4ef0-bdc1-26f256481290&v=work">Ronald Schellekens</a>.
      Sander en Ronald zijn samen je beoordelaars voor OP.
    </p>
  </component-section>
</component-section>
<component-section>
  <div slot="title">Didactiek en logistiek</div>
  <component-section>
    <div slot="title">Courses</div>
    <p>
      De eerste periode volg je SKA. De tweede ADP. OP bestaat uit een individuele projectopdracht een presentatie
      daarover, en heeft geen les. Je leert de kennis en vaardigheden voor OP bij ADP en SKA. Je moet zelfstandig en al
      meteen beginnen aan OP, anders krijg je die course niet af.
    </p>
  </component-section>
  <component-section>
    <div slot="title">Planning</div>
    <p>
      Het onderwijsschema, waarin alle lessen, toetsen, enzovoort gepland staan, lees je in een spreadsheet in het
      Teams-lesteam. Je docent verwacht dat je tijdens de lesweken ook al werkt aan je toetsen (zeker de
      beroepsproducten, want die zijn groot).
    </p>
  </component-section>
  <component-section>
    <div slot="title">Werkvorm</div>
    <p>
      De ADP en SKA hebben twee bijeenkomsten per week: op dinsdagavond een online les, en op donderdagavond een fysieke
      les. Alle <strong>lessen</strong> hebben voorbereiding nodig van jou. Neem thuis de leermaterialen alvast door
      vóór de les. Stel vragen meteen, zichtbaar voor de hele klas, via Teams. Je docent en medestudent(en) kunnen je
      dan antwoord geven. (Je docent werkt in principe niet in het weekend of op andere avonden.)
    </p>
    <p>
      De courses maken veel gebruik van <strong>oefenopdrachten</strong>. Soms zijn dit opdrachten waarop je docent
      vraaggestuurd extra uitleg geeft, soms opdrachten die standaard in een les besproken worden. Soms zijn de
      opdrachten individueel, soms voor een groep. De eigenschappen van opdracht staan erbij vermeld. Tijdens de les kan
      je gevraagd worden jouw uitwerking toe te lichten. Je docent is tijdens lessen in ieder geval live beschikbaar
      voor vraaggestuurde individuele begeleiding, waar daar tijd voor is. Anders kan je een (online) afspraak proberen
      te maken. (Vanwege de andere verplichtingen van je docent kan het zijn dat hij beperkt beschikbaar is, en alleen
      tijdens kantoortijden.) Alle oefenopdrachten zijn online, waardoor ze centraal worden ingeleverd en geanalyseerd,
      en soms automatisch beoordeeld. Hiervoor gebruiken we <a href="https://www.ans.app/">Ans</a>.
    </p>
    <p>
      Vanuit de opleiding is er ook een mogelijkheid voor een persoonlijk <em>leerarrangement</em>. Dit houdt in dat je
      je eigen tempo kan aanhouden. Helaas zijn om praktische redenen (tijd, regels, planning) de mogelijkheden
      vooralsnog beperkt. Heb je wensen en ideeën hierover, praat er dan over met je docent, die het af zal stemmen met
      de coördinator.
    </p>
    <component-section>
      <div slot="title">Werk als student</div>
      <p>Naast de deeltentamens afronden, heb je als student de volgende taken:</p>
      <table id="table_soortenwerkalsstudent">
        <caption>
          Soorten werk als student.
        </caption>
        <tbody class="align">
          <tr>
            <td></td>
            <th scope="col">
              <p>Oefenopdrachten</p>
            </th>
            <th scope="col">
              <p>Opdrachten en presentaties</p>
            </th>
            <th scope="col">
              <p>Tentamens</p>
            </th>
          </tr>
          <tr>
            <th scope="row">
              <p>Waar lezen</p>
            </th>
            <td>
              <p>Vanuit de website.</p>
            </td>
            <td>
              <p>Vanuit de website.</p>
            </td>
            <td>
              <p>Vanaf geprojecteerd scherm in klaslokaal.</p>
            </td>
          </tr>
          <tr>
            <th scope="row">
              <p>Wanneer doen</p>
            </th>
            <td>
              <p>Doorlopend. Advies: rond de opdrachten af ruim vóór de volgende les.</p>
            </td>
            <td>
              <p>Vanaf start ASD, tot deadline in toetsrooster (strikt).</p>
            </td>
            <td>
              <p>Om de paar lesweken (zie toetsrooster).</p>
            </td>
          </tr>
          <tr>
            <th scope="row">
              <p>Inleveren en beoordeling</p>
            </th>
            <td>
              <p>Insturen op Ans.</p>
              <p>⬜ Tellen <em>niet</em> mee.</p>
              <p>Zelfbeoordeling met voorbeeldantwoorden op Ans.</p>
            </td>
            <td>
              <p>Uploaden in iSAS.</p>
              <p>✅ Tellen <em>wel</em> mee.</p>
              <p>
                Zelf- en docentbeoordeling met het beoordelingsformulier op deze website. Mondeling assessment op
                afspraak om begrip en echtheid te bepalen van het ingeleverde.
              </p>
            </td>
            <td>
              <p>Op papier uitwerken en bij docent afgeven (schriftelijk tentamen, maar tijdens les).</p>
              <p>✅ Tellen <em>wel</em> mee.</p>
              <p>Docentbeoordeling met het beoordelingsformulier op deze website.</p>
            </td>
          </tr>
          <tr>
            <th scope="row">
              <p>Begeleiding</p>
            </th>
            <td>
              <p>Vooraf gestelde vragen.</p>
              <p>Uitleg tijdens les (bij aangegeven opdrachten).</p>
              <p>Individueel achteraf eventueel verdere toelichting.</p>
            </td>
            <td>
              <p>Commentaar vooraf (op afspraak).</p>
              <p>Individueel achteraf met beoordelingsformulier.</p>
            </td>
            <td>
              <p>Vooraf gestelde vragen.</p>
              <p>Statistieken over prestatie klas achteraf gedeeld.</p>
              <p>Individueel achteraf inzage (op afspraak).</p>
            </td>
          </tr>
        </tbody>
      </table>
    </component-section>
  </component-section>
  <component-section>
    <div slot="title">Vindplaatsen van info</div>
    <p>
      Het startpunt is
      <!-- TODO: Update hyperlink. -->
      <a href="#">jullie lesteam</a>.
    </p>
    <p>
      Vanuit deze studiehandleiding volg je je lessen, en word je doorverwezen naar overige leermaterialen, het
      onderwijsschema, enzovoort
    </p>
    <p>Je beoordelingen, toetsinschrijvingen, enz. vind je nog als vanouds terug in iSAS en Alluris.</p>
    <p>Adobe Connect en OnderwijsOnline gebruiken we niet.</p>
  </component-section>
  <component-section>
    <div slot="title">Regels en tips</div>
    <p>
      Altijd zijn er een aantal regels en slimmere manieren om iets te doen vermeldenswaardig geweest voor ons
      onderwijs.
    </p>
    <component-section>
      <div slot="title">Omgaan met software</div>
      <p>
        Zorg ervoor dat je de software die we gebruiken goed kent. Zelfs als je gewend bent om het vanzelf uit te
        vogelen, is het een slimme investering van je tijd om toch eerst even een handleiding of tips door te lezen. Dat
        geldt zeker voor Microsoft Teams.
      </p>
      <ol>
        <li>
          <a href="https://avepointcdn.azureedge.net/pdfs/en/Etiquette-in-Teams-eBook.pdf">Teams</a>
        </li>
        <li>
          <a href="https://www.gitpod.io/docs/">Visual Studio Code</a>
        </li>
      </ol>
    </component-section>
    <component-section>
      <div slot="title">Op tijd zijn en aanwezigheid</div>
      <ul>
        <li>
          <p>Kom je te laat, dan eindig je mogelijk in de Teams-lobby/wachtkamer.</p>
        </li>
        <li>
          <p>
            Aanwezigheid is niet verplicht, maar als er opnames zijn van de online lessen betekent dat niet dat je net
            zo goed weg kan blijven. Ook in de online lessen ben je bezig en met anderen in interactie.
          </p>
        </li>
      </ul>
    </component-section>
    <component-section>
      <div slot="title">Hulp vragen, communiceren en iets bijdragen</div>
      <ul>
        <li>
          <p>
            👤 Stel een goede pasfoto in als
            <a
              href="https://support.microsoft.com/nl-nl/office/uw-foto-wijzigen-in-teams-7a711943-9248-420e-b814-c071aa8d9b9c"
              >profielfoto voor Office 365</a
            >, dan is voor iedereen duidelijker wie je bent.
          </p>
        </li>
        <li>
          <p>
            📬 Lees je HAN-mailbox in Outlook via
            <a href="https://office365.han.nl">Office 365</a>, niet alleen je privé-e-mailbox (die vroeger als enige
            werd gebruikt door studenten). Volg
            <a
              href="https://www1.han.nl/insite/rondomdestudie/Onderwijs_op_afstand_volgend.xml?sitedir=/insite/rondomdestudie"
              >de raad op van de HAN over online werken</a
            >. Volg deze bron ook eerst als je technische problemen ervaart.
          </p>
        </li>
        <li>
          <p>
            🙋 Stel gerust een vraag bij onduidelijkheden. Wacht niet te veel af. Beter een privébericht bij
            twijfel/onzekerheid dan helemaal niets vragen.
          </p>
        </li>
        <li>
          <p>
            👨‍🏫 Spreek je docent aan met ‘je’ en zijn voornaam (tutoyeer). Dat zal je waarschijnlijk ook bij je chef
            doen. Blijf wel altijd zakelijk en respectvol.
          </p>
        </li>
        <li>
          <p>
            ✋ Alleen als je de ‘hand omhoog’ functie gebruikt in Teams krijg je aandacht van je docent, omdat het in de
            gaten houden van de chatbox en tegelijk presenteren niet vlot gaat.
          </p>
        </li>
        <li>
          <p>
            🎙️ Vervolgens bepaalt je docent of je microfoon ontdempt wordt of dat je je vraag als bericht moet stellen.
          </p>
        </li>
        <li>
          <p>
            Wil je broncode delen om een probleem te kunnen lossen, dan moet het een
            <span class="bron"><a href="http://sscce.org/">SSCCE</a></span>
            zijn.
          </p>
        </li>
        <li>
          <p>
            ⤵ Stel je vraag in het kanaal binnen het lesteam (ADP, OP, SKA) waarop de vraag het meest betrekking heeft.
          </p>
        </li>
        <li>
          <p>🧾 Stel vragen heel precies en logisch gestructureerd. Liever overdreven precies dan vaag.</p>
        </li>
        <li>
          <p>
            E-mail of bel je docent alsjeblieft niet als je via Microsoft Teams (💬 of 📲) contact kan opnemen. Stel
            alle vragen die niet strikt persoonlijk zijn in het lesteam in plaats van in een privégesprek. Op die manier
            krijg je ook sneller antwoord.
          </p>
        </li>
        <li>
          <p>
            💪 Last but not least: zoek de samenwerking met je klasgenoten. Zeker aangezien alles online is. Het is
            prima om samen te werken aan de opgaven (aan de toetsen is een ander verhaal), zolang je zelf ook alles
            snapt wat je inlevert.
          </p>
        </li>
      </ul>
    </component-section>
    <component-section>
      <div slot="title">Afleidingen tijdens (video)gesprekken</div>
      <p>
        Zorg ervoor dat als je camera of microfoon aanstaat, je de anderen niet afleidt. Rook bijvoorbeeld geen
        (e-)sigaret en speel niet met dingen (zoals je telefoon) in beeld. Wil je roken of iets anders doen, stel dat
        uit tot de pauzes. Komt er onverhoopt en onverwacht toch iets storends in beeld of is dat te horen, demp dan
        meteen je camera en/of microfoon.
      </p>
    </component-section>
    <component-section>
      <div slot="title">Privacy</div>
      <ul>
        <li>
          <p>
            📹 Zet je videocamera graag aan als dat meerwaarde heeft voor jou, je docent of je klasgenoten. Anders uit,
            om bandbreedte te besparen. Je docent dwingt je niet om je camera aan te zetten, maar doe je het wel dan
            geef je toestemming, ook voor eventuele opname.
          </p>
        </li>
        <li>
          <p>🤵 Als je camera aanstaat moet je erbij zitten zoals je anders fysiek erbij zou zitten.</p>
        </li>
        <li>
          <p>
            🤵 De online lessen worden in de regel niet opgenomen, zodat zo min mogelijk studenten zich geremd voelen om
            actief deel te nemen. Je eigen docent kan beredeneerd en aangekondigd van deze regel afwijken. In dat geval
            kan je, als je dat belangrijk vindt, zelf je videocamera uit laten.
          </p>
        </li>
      </ul>
    </component-section>
    <component-section>
      <div slot="title">Berichten/messaging/chat</div>
      <ul>
        <li>
          <p>Lees éérst goed wat er al geschreven is.</p>
        </li>
        <li>
          <p>Wacht even tot anderen een punt oppakken, zeker als je al vaak aan de beurt bent geweest.</p>
        </li>
        <li>
          <p>
            Gebruik bij voorkeur reactie-icoontjes in plaats van nieuwe berichten te schrijven (<q>+1</q>, enzovoort).
          </p>
        </li>
      </ul>
    </component-section>
  </component-section>
</component-section>
<component-section>
  <div slot="title">Randvoorwaarden</div>
  <p>Om ASD succesvol te kunnen doorlopen, gelden de volgende randvoorwaarden.</p>
  <ol>
    <li>Je voldoet aan de ingangsvereisten van de courses die je volgt (zie de coursebeschrijvingen op iSAS).</li>
    <li>Je bent ingeschreven als student voor de courses die je volgt, en je studiecontract klopt nog.</li>
    <li>Je bent ingeschreven voor het Microsoft Teams-lesteam.</li>
    <li>Je hebt voortdurend een Internetverbinding.</li>
  </ol>
</component-section>
<component-section>
  <div slot="title">Legenda leermaterialen</div>
  <p>In de leermaterialen hanteert het moduleteam de volgende iconen en andere conventies:</p>
  <table>
    <caption>
      Legenda leermaterialen.
    </caption>
    <thead>
      <tr>
        <th id="element">Element</th>
        <th id="betekenis">Betekenis</th>
      </tr>
    </thead>
    <tbody>
      <!-- TODO: apply. -->
      <tr>
        <td>
          <p>📖</p>
        </td>
        <td>
          <p>Les.</p>
        </td>
      </tr>
      <tr>
        <td>
          <p>
            <component-intendedlearningoutcome codes='["Leeruitkomstcode"]'
              >Leeruitkomst
            </component-intendedlearningoutcome>
          </p>
        </td>
        <td>
          <p>Leeruitkomst. Verbonden aan lesdoelen. Vastgelegd in de onderwijsbeschrijving (OER).</p>
        </td>
      </tr>
      <tr>
        <td>
          <p class="bron"></p>
        </td>
        <td>
          <p>Bestudeer deze bron.</p>
        </td>
      </tr>
      <tr>
        <td>
          <component-exercise>
            <p></p>
          </component-exercise>
        </td>
        <td>
          <p>Basisopgave.</p>
        </td>
      </tr>
      <tr>
        <td>
          <component-exercise together>
            <p></p>
          </component-exercise>
        </td>
        <td>
          <p>Samenopgave.</p>
        </td>
      </tr>
      <tr>
        <td>
          <p><strong>begrip</strong></p>
        </td>
        <td>
          <p>Onder leeruitkomsten: belangrijk begrip, eerste vermelding.</p>
        </td>
      </tr>
      <tr>
        <td>
          <p><em class="term">begrip</em></p>
        </td>
        <td>
          <p>Belangrijk begrip.</p>
        </td>
      </tr>
      <tr>
        <td>
          <p><cite data-id="6867189/36G9SCWF"></cite></p>
        </td>
        <td>
          <p>Verwijzing volgens IEEE-verwijzingsstijl.</p>
        </td>
      </tr>
      <tr>
        <td>
          <p class="praktijk"></p>
        </td>
        <td>
          <p>Verband met de praktijk.</p>
        </td>
      </tr>
      <tr>
        <td>
          <p class="extra"></p>
        </td>
        <td>
          <p>Extra verdieping, geen getoetste leerinhoud.</p>
        </td>
      </tr>
      <tr>
        <td>
          <component-gradingcriteria></component-gradingcriteria>
        </td>
        <td>
          <p>Beoordelingscriteria.</p>
        </td>
      </tr>
      <tr>
        <td>
          <p><code class="lang-java">int</code></p>
        </td>
        <td>
          <p>Broncode-element, met de programmeertaal als subscript.</p>
        </td>
      </tr>
    </tbody>
  </table>
</component-section>
